All Frameworks Object Hierarchy This Framework Indexes
Use the CATIAHybridShapeFactory to create a HybridShapeLoft object.
LICENSING INFORMATION: Creation of volume result requires GSO License
if GSO License is not granted , settting of Volume context has not effect
Use the CATIAHybridShapeFactory to create a HybridShapeLoft object.
o Property BooleanOperation( | ) As |
BoolOp
the type of boolean operation
for the Loft
hybrid shape feature.
Dim BoolOp BoolOp = Loft.BooleanOperation
o Property CanonicalDetection( | ) As |
o Property CompEndSectionTangent( | ) As |
o Property CompStartSectionTangent( | ) As |
o Property Context( | ) As |
oContext
the context
for the Loft
hybrid shape feature.
Dim oContext Set oContext = Loft.Context
o Property Relimitation( | ) As |
o Property SectionCoupling( | ) As |
o Property SmoothAngleThresholdActivity( | ) As |
o Property SmoothAngleThreshold( | ) As |
o Property SmoothDeviationActivity( | ) As |
o Property SmoothDeviation( | ) As |
o Sub AddGuideWithTangent( | iGuide, | |
iTangent) |
o Sub AddGuide( | iGuide) |
o Sub AddSectionToLoft( | iCrv, | |
iOri, | ||
iPoint) |
o Sub GetFacesForClosing( | oStartFace, | |
oEndFace) |
o Sub GetGuide( | iPos, | |
oGuide, | ||
oGuideTangent) |
o Func GetNbOfGuides( | ) As |
hybShpLoft
hybrid shape Loft.
Dim oSize As long oSize = hybShpLoft.GetNbOfGuides
o Sub GetSectionFromLoft( | iRank, | |
oCrv, | ||
oOri, | ||
oPoint) |
o Sub GetSpine( | oSpineType, | |
oSpine) |
o Sub GetStartAndEndSectionTangent( | oStartSectionTangent, | |
oEndSectionTangent) |
o Sub InsertCouplingPoint( | iCouplingIndex, | |
iPosition, | ||
iPoint) |
o Sub InsertCoupling( | iPosition) |
o Sub InsertSectionToLoft( | iType, | |
iCrv, | ||
iOri, | ||
iPoint, | ||
iSectionRef) |
o Sub ModifyGuideCurve( | iGuide, | |
iNewGuide) |
o Sub ModifySectionCurve( | iSection, | |
iNewSection, | ||
oCurveSection, | ||
oClosingPoint, | ||
oPtDiag) |
o Sub ModifySectionOrient( | iSection, | |
iOrient) |
o Sub RemoveFaceForClosing( | iSection) |
o Sub RemoveGuideTangent( | iGuide) |
o Sub RemoveGuide( | iGuide) |
o Sub RemoveSectionPoint( | iSection) |
o Sub RemoveSectionTangent( | iSection) |
o Sub RemoveSection( | iSection) |
o Sub SetEndFaceForClosing( | iFace) |
o Sub SetEndSectionTangent( | iTangentSection) |
o Sub SetSpine( | iSpine) |
o Sub SetStartFaceForClosing( | iFace) |
o Sub SetStartSectionTangent( | iTangentSection) |
Copyright © 2003, Dassault Systèmes. All rights reserved.